Subject: RE: [SIP] From tags (was: I-D ACTION:draft-ietf-sip-service-examp les-00.txt)

From: Jonathan Rosenberg <[email-masked]>
Date: Sun, 10 Dec 2000 18:39:49 -0500

> -----Original Message-----
> From: Billy Biggs [mailto:[email-masked]]
> Sent: Monday, November 27, 2000 1:05 AM
> To: Henning G. Schulzrinne
> Cc: SIP List
> Subject: Re: [SIP] From tags (was: I-D
> ACTION:draft-ietf-sip-service-examples-00.txt)
> 
> 
> Henning G. Schulzrinne ([email-masked]):
> 
> > I'm not sure, but it seems that there's a simple fix: 
> simply have the
> > UA create *different* tags depending on whether this is for 
> a From or
> > To.  However, the tag is constant across calls and requests.
> 
>   Even safer to use "predictable-random", however:
> 
>   Choosing predictable tags does not make a UA crash-proof.  The SIP
> spec should not recommend any behavior on generating tags.

Why not? It already does make recommendations.

I think a reasonable proposal is the following (I will be discussing this at
IETF):

1. if your UA is not trying to handle crash-and-recovery of calls, then your
tags should be unique for each call leg

2. if your UA is trying to handle crash-and-recovery, you should generate
tags with the following properties:

   (1) the tag is a function of the UA instance (something like SIP port and
machine name)
   (2) you maintain two tags, one that you place in the From field, one
within the To field
   (3) if you get a call with a new Call-ID, with a tag which is one of the
two you maintain, its a call that occurred before a crash/restart.

There is obviously a lot more that you need to do to build a crash-proof UA.
But, we have lots of other things in the spec - guidelines, advise, etc. -
that help people build reassonable UAs. I don't see this as different.

-Jonathan R.

---
Jonathan D. Rosenberg                       72 Eagle Rock Ave.
Chief Scientist                             First Floor
dynamicsoft                                 East Hanover, NJ 07936
[email-masked]                     FAX:   (973) 952-5050
http://www.cs.columbia.edu/~jdrosen         PHONE: (973) 952-5000
http://www.dynamicsoft.com

_______________________________________________
SIP mailing list
[email-masked]
http://lists.bell-labs.com/mailman/listinfo/sip